#!/usr/bin/env python3

from manager import QueueClient


class Minion(QueueClient):
    def run(self):
        while True:
            task = self.tasks.get()
            print(f'start work on a task {task.identifier} of size {task.size}...')
            task.work()
            print(f'Done in {task.time:.3f}s')
            self.results.put(task)


if __name__ == '__main__':
    Minion().run()
